Skip to main content
GET
/
lkbx
/
templates
/
{id}
Get lock template by ID
curl --request GET \
  --url https://dashboard.researchanddesire.com/api/v1/lkbx/templates/{id} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": 1,
    "ownerId": 42,
    "name": "Weekend Lock",
    "duration": 172800,
    "isRandomDuration": false,
    "isBreakEnabled": true,
    "breakRegularity": 3600,
    "isEmergencyUnlockEnabled": true,
    "createdAt": "2025-12-01T10:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Path Parameters

id
integer
required

The lock template ID

Required range: x >= 1
Example:

1

Response

Lock template details

ok
boolean
required
data
object
required